Makefile.in   [plain text]


# Makefile.in generated by automake 1.11 from Makefile.am.
# @configure_input@

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@


VPATH = @srcdir@
pkgdatadir = $(datadir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkglibexecdir = $(libexecdir)/@PACKAGE@
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@

# FIXME: find a way to autogenerate this from the XML files.
@BUILD_COMPOSITE_TRUE@am__append_1 = composite.py
@BUILD_COMPOSITE_TRUE@am__append_2 = composite.xml
@BUILD_DAMAGE_TRUE@am__append_3 = damage.py
@BUILD_DAMAGE_TRUE@am__append_4 = damage.xml
@BUILD_DPMS_TRUE@am__append_5 = dpms.py
@BUILD_DPMS_TRUE@am__append_6 = dpms.xml
@BUILD_GLX_TRUE@am__append_7 = glx.py
@BUILD_GLX_TRUE@am__append_8 = glx.xml
@BUILD_RANDR_TRUE@am__append_9 = randr.py
@BUILD_RANDR_TRUE@am__append_10 = randr.xml
@BUILD_RECORD_TRUE@am__append_11 = record.py
@BUILD_RECORD_TRUE@am__append_12 = record.xml
@BUILD_RENDER_TRUE@am__append_13 = render.py
@BUILD_RENDER_TRUE@am__append_14 = render.xml
@BUILD_RES_TRUE@am__append_15 = res.py
@BUILD_RES_TRUE@am__append_16 = res.xml
@BUILD_SCREENSAVER_TRUE@am__append_17 = screensaver.py
@BUILD_SCREENSAVER_TRUE@am__append_18 = screensaver.xml
@BUILD_SHAPE_TRUE@am__append_19 = shape.py
@BUILD_SHAPE_TRUE@am__append_20 = shape.xml
@BUILD_SHM_TRUE@am__append_21 = shm.py
@BUILD_SHM_TRUE@am__append_22 = shm.xml
@BUILD_SYNC_TRUE@am__append_23 = sync.py
@BUILD_SYNC_TRUE@am__append_24 = sync.xml
@BUILD_XEVIE_TRUE@am__append_25 = xevie.py
@BUILD_XEVIE_TRUE@am__append_26 = xevie.xml
@BUILD_XF86DRI_TRUE@am__append_27 = xf86dri.py
@BUILD_XF86DRI_TRUE@am__append_28 = xf86dri.xml
@BUILD_XFIXES_TRUE@am__append_29 = xfixes.py
@BUILD_XFIXES_TRUE@am__append_30 = xfixes.xml
@BUILD_XINERAMA_TRUE@am__append_31 = xinerama.py
@BUILD_XINERAMA_TRUE@am__append_32 = xinerama.xml
@BUILD_XINPUT_TRUE@am__append_33 = xinput.py
@BUILD_XINPUT_TRUE@am__append_34 = xinput.xml
@BUILD_XPRINT_TRUE@am__append_35 = xprint.py
@BUILD_XPRINT_TRUE@am__append_36 = xprint.xml
@BUILD_SELINUX_TRUE@am__append_37 = xselinux.py
@BUILD_SELINUX_TRUE@am__append_38 = xselinux.xml
@BUILD_XTEST_TRUE@am__append_39 = xtest.py
@BUILD_XTEST_TRUE@am__append_40 = xtest.xml
@BUILD_XV_TRUE@am__append_41 = xv.py
@BUILD_XV_TRUE@am__append_42 = xv.xml
@BUILD_XVMC_TRUE@am__append_43 = xvmc.py
@BUILD_XVMC_TRUE@am__append_44 = xvmc.xml
subdir = src
DIST_COMMON = $(am__pkgpython_PYTHON_DIST) $(noinst_HEADERS) \
	$(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(srcdir)/config.h.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__installdirs = "$(DESTDIR)$(pkgpythondir)" \
	"$(DESTDIR)$(pkgpythondir)"
LTLIBRARIES = $(pkgpython_LTLIBRARIES)
am__DEPENDENCIES_1 =
xcb_la_DEPENDENCIES = $(am__DEPENDENCIES_1)
am_xcb_la_OBJECTS = xcb_la-conn.lo xcb_la-constant.lo xcb_la-cookie.lo \
	xcb_la-error.lo xcb_la-event.lo xcb_la-except.lo xcb_la-ext.lo \
	xcb_la-extkey.lo xcb_la-iter.lo xcb_la-list.lo \
	xcb_la-module.lo xcb_la-protobj.lo xcb_la-reply.lo \
	xcb_la-request.lo xcb_la-response.lo xcb_la-struct.lo \
	xcb_la-union.lo xcb_la-void.lo
xcb_la_OBJECTS = $(am_xcb_la_OBJECTS)
xcb_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(xcb_la_CFLAGS) $(CFLAGS) \
	$(xcb_la_LDFLAGS) $(LDFLAGS) -o $@
DEFAULT_INCLUDES = -I.@am__isrc@
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(xcb_la_SOURCES)
DIST_SOURCES = $(xcb_la_SOURCES)
am__pkgpython_PYTHON_DIST = __init__.py xproto.py bigreq.py xc_misc.py \
	composite.py damage.py dpms.py glx.py randr.py record.py \
	render.py res.py screensaver.py shape.py shm.py sync.py \
	xevie.py xf86dri.py xfixes.py xinerama.py xinput.py xprint.py \
	xselinux.py xtest.py xv.py xvmc.py
py_compile = $(top_srcdir)/py-compile
HEADERS = $(noinst_HEADERS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = @ACLOCAL@
AMTAR = @AMTAR@
AR = @AR@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CWARNFLAGS = @CWARNFLAGS@
CYGPATH_W = @CYGPATH_W@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
DSYMUTIL = @DSYMUTIL@
DUMPBIN = @DUMPBIN@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
FGREP = @FGREP@
GREP = @GREP@
INSTALL = @INSTALL@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
LD = @LD@
LDFLAGS = @LDFLAGS@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LIBTOOL = @LIBTOOL@
LIBXCB_CFLAGS = @LIBXCB_CFLAGS@
LIBXCB_LIBS = @LIBXCB_LIBS@
LIPO = @LIPO@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
MAKEINFO = @MAKEINFO@
MKDIR_P = @MKDIR_P@
NM = @NM@
NMEDIT = @NMEDIT@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
OTOOL = @OTOOL@
OTOOL64 = @OTOOL64@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_URL = @PACKAGE_URL@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PKG_CONFIG = @PKG_CONFIG@
PYTHON = @PYTHON@
PYTHON_EXEC_PREFIX = @PYTHON_EXEC_PREFIX@
PYTHON_INCLUDE = @PYTHON_INCLUDE@
PYTHON_PLATFORM = @PYTHON_PLATFORM@
PYTHON_PREFIX = @PYTHON_PREFIX@
PYTHON_VERSION = @PYTHON_VERSION@
RANLIB = @RANLIB@
SED = @SED@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
VERSION = @VERSION@
XCBPROTO_CFLAGS = @XCBPROTO_CFLAGS@
XCBPROTO_LIBS = @XCBPROTO_LIBS@
XCBPROTO_XCBINCLUDEDIR = @XCBPROTO_XCBINCLUDEDIR@
XCBPROTO_XCBPYTHONDIR = @XCBPROTO_XCBPYTHONDIR@
abs_builddir = @abs_builddir@
abs_srcdir = @abs_srcdir@
abs_top_builddir = @abs_top_builddir@
abs_top_srcdir = @abs_top_srcdir@
ac_ct_CC = @ac_ct_CC@
ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
am__tar = @am__tar@
am__untar = @am__untar@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
builddir = @builddir@
datadir = @datadir@
datarootdir = @datarootdir@
docdir = @docdir@
dvidir = @dvidir@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
htmldir = @htmldir@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localedir = @localedir@
localstatedir = @localstatedir@
lt_ECHO = @lt_ECHO@
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
pdfdir = @pdfdir@
pkgpyexecdir = @pkgpyexecdir@
pkgpythondir = $(pyexecdir)/xcb
prefix = @prefix@
program_transform_name = @program_transform_name@
psdir = @psdir@
pyexecdir = @pyexecdir@
pythondir = @pythondir@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
srcdir = @srcdir@
sysconfdir = @sysconfdir@
target_alias = @target_alias@
top_build_prefix = @top_build_prefix@
top_builddir = @top_builddir@
top_srcdir = @top_srcdir@
EXTSOURCES = xproto.py bigreq.py xc_misc.py $(am__append_1) \
	$(am__append_3) $(am__append_5) $(am__append_7) \
	$(am__append_9) $(am__append_11) $(am__append_13) \
	$(am__append_15) $(am__append_17) $(am__append_19) \
	$(am__append_21) $(am__append_23) $(am__append_25) \
	$(am__append_27) $(am__append_29) $(am__append_31) \
	$(am__append_33) $(am__append_35) $(am__append_37) \
	$(am__append_39) $(am__append_41) $(am__append_43)
EXTENSION_XML = xproto.xml bigreq.xml xc_misc.xml $(am__append_2) \
	$(am__append_4) $(am__append_6) $(am__append_8) \
	$(am__append_10) $(am__append_12) $(am__append_14) \
	$(am__append_16) $(am__append_18) $(am__append_20) \
	$(am__append_22) $(am__append_24) $(am__append_26) \
	$(am__append_28) $(am__append_30) $(am__append_32) \
	$(am__append_34) $(am__append_36) $(am__append_38) \
	$(am__append_40) $(am__append_42) $(am__append_44)
pkgpython_LTLIBRARIES = xcb.la
xcb_la_LIBADD = $(LIBXCB_LIBS)
xcb_la_CPPFLAGS = -I$(PYTHON_INCLUDE)
xcb_la_CFLAGS = -g $(CWARNFLAGS)
xcb_la_LDFLAGS = -module
xcb_la_SOURCES = conn.c constant.c cookie.c error.c event.c except.c \
		 ext.c extkey.c iter.c list.c module.c protobj.c \
		 reply.c request.c response.c struct.c union.c void.c \
		 py_client.py

noinst_HEADERS = conn.h constant.h cookie.h error.h event.h except.h \
		 ext.h extkey.h iter.h list.h module.h protobj.h \
		 reply.h request.h response.h struct.h union.h void.h

pkgpython_PYTHON = __init__.py $(EXTSOURCES)
BUILT_SOURCES = $(EXTSOURCES)
CLEANFILES = $(EXTSOURCES) $(EXTENSION_XML)
SUFFIXES = .xml
all: $(BUILT_SOURCES) config.h
	$(MAKE) $(AM_MAKEFLAGS) all-am

.SUFFIXES:
.SUFFIXES: .xml .c .lo .o .obj .py
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign src/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

config.h: stamp-h1
	@if test ! -f $@; then \
	  rm -f stamp-h1; \
	  $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
	else :; fi

stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
	@rm -f stamp-h1
	cd $(top_builddir) && $(SHELL) ./config.status src/config.h
$(srcdir)/config.h.in:  $(am__configure_deps) 
	($(am__cd) $(top_srcdir) && $(AUTOHEADER))
	rm -f stamp-h1
	touch $@

distclean-hdr:
	-rm -f config.h stamp-h1
install-pkgpythonLTLIBRARIES: $(pkgpython_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	test -z "$(pkgpythondir)" || $(MKDIR_P) "$(DESTDIR)$(pkgpythondir)"
	@list='$(pkgpython_LTLIBRARIES)'; test -n "$(pkgpythondir)" || list=; \
	list2=; for p in $$list; do \
	  if test -f $$p; then \
	    list2="$$list2 $$p"; \
	  else :; fi; \
	done; \
	test -z "$$list2" || { \
	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkgpythondir)'"; \
	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkgpythondir)"; \
	}

uninstall-pkgpythonLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(pkgpython_LTLIBRARIES)'; test -n "$(pkgpythondir)" || list=; \
	for p in $$list; do \
	  $(am__strip_dir) \
	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkgpythondir)/$$f'"; \
	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkgpythondir)/$$f"; \
	done

clean-pkgpythonLTLIBRARIES:
	-test -z "$(pkgpython_LTLIBRARIES)" || rm -f $(pkgpython_LTLIBRARIES)
	@list='$(pkgpython_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" != "$$p" || dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
xcb.la: $(xcb_la_OBJECTS) $(xcb_la_DEPENDENCIES) 
	$(xcb_la_LINK) -rpath $(pkgpythondir) $(xcb_la_OBJECTS) $(xcb_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xcb_la-conn.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xcb_la-constant.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xcb_la-cookie.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xcb_la-error.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xcb_la-event.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xcb_la-except.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xcb_la-ext.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xcb_la-extkey.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xcb_la-iter.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xcb_la-list.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xcb_la-module.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xcb_la-protobj.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xcb_la-reply.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xcb_la-request.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xcb_la-response.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xcb_la-struct.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xcb_la-union.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xcb_la-void.Plo@am__quote@

.c.o:
@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(COMPILE) -c $<

.c.obj:
@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(COMPILE) -c `$(CYGPATH_W) '$<'`

.c.lo:
@am__fastdepCC_TRUE@	$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(LTCOMPILE) -c -o $@ $<

xcb_la-conn.lo: conn.c
@am__fastdepCC_TRUE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(xcb_la_CPPFLAGS) $(CPPFLAGS) $(xcb_la_CFLAGS) $(CFLAGS) -MT xcb_la-conn.lo -MD -MP -MF $(DEPDIR)/xcb_la-conn.Tpo -c -o xcb_la-conn.lo `test -f 'conn.c' || echo '$(srcdir)/'`conn.c
@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/xcb_la-conn.Tpo $(DEPDIR)/xcb_la-conn.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='conn.c' object='xcb_la-conn.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(xcb_la_CPPFLAGS) $(CPPFLAGS) $(xcb_la_CFLAGS) $(CFLAGS) -c -o xcb_la-conn.lo `test -f 'conn.c' || echo '$(srcdir)/'`conn.c

xcb_la-constant.lo: constant.c
@am__fastdepCC_TRUE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(xcb_la_CPPFLAGS) $(CPPFLAGS) $(xcb_la_CFLAGS) $(CFLAGS) -MT xcb_la-constant.lo -MD -MP -MF $(DEPDIR)/xcb_la-constant.Tpo -c -o xcb_la-constant.lo `test -f 'constant.c' || echo '$(srcdir)/'`constant.c
@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/xcb_la-constant.Tpo $(DEPDIR)/xcb_la-constant.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='constant.c' object='xcb_la-constant.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(xcb_la_CPPFLAGS) $(CPPFLAGS) $(xcb_la_CFLAGS) $(CFLAGS) -c -o xcb_la-constant.lo `test -f 'constant.c' || echo '$(srcdir)/'`constant.c

xcb_la-cookie.lo: cookie.c
@am__fastdepCC_TRUE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(xcb_la_CPPFLAGS) $(CPPFLAGS) $(xcb_la_CFLAGS) $(CFLAGS) -MT xcb_la-cookie.lo -MD -MP -MF $(DEPDIR)/xcb_la-cookie.Tpo -c -o xcb_la-cookie.lo `test -f 'cookie.c' || echo '$(srcdir)/'`cookie.c
@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/xcb_la-cookie.Tpo $(DEPDIR)/xcb_la-cookie.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='cookie.c' object='xcb_la-cookie.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(xcb_la_CPPFLAGS) $(CPPFLAGS) $(xcb_la_CFLAGS) $(CFLAGS) -c -o xcb_la-cookie.lo `test -f 'cookie.c' || echo '$(srcdir)/'`cookie.c

xcb_la-error.lo: error.c
@am__fastdepCC_TRUE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(xcb_la_CPPFLAGS) $(CPPFLAGS) $(xcb_la_CFLAGS) $(CFLAGS) -MT xcb_la-error.lo -MD -MP -MF $(DEPDIR)/xcb_la-error.Tpo -c -o xcb_la-error.lo `test -f 'error.c' || echo '$(srcdir)/'`error.c
@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/xcb_la-error.Tpo $(DEPDIR)/xcb_la-error.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='error.c' object='xcb_la-error.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(xcb_la_CPPFLAGS) $(CPPFLAGS) $(xcb_la_CFLAGS) $(CFLAGS) -c -o xcb_la-error.lo `test -f 'error.c' || echo '$(srcdir)/'`error.c

xcb_la-event.lo: event.c
@am__fastdepCC_TRUE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(xcb_la_CPPFLAGS) $(CPPFLAGS) $(xcb_la_CFLAGS) $(CFLAGS) -MT xcb_la-event.lo -MD -MP -MF $(DEPDIR)/xcb_la-event.Tpo -c -o xcb_la-event.lo `test -f 'event.c' || echo '$(srcdir)/'`event.c
@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/xcb_la-event.Tpo $(DEPDIR)/xcb_la-event.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='event.c' object='xcb_la-event.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(xcb_la_CPPFLAGS) $(CPPFLAGS) $(xcb_la_CFLAGS) $(CFLAGS) -c -o xcb_la-event.lo `test -f 'event.c' || echo '$(srcdir)/'`event.c

xcb_la-except.lo: except.c
@am__fastdepCC_TRUE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(xcb_la_CPPFLAGS) $(CPPFLAGS) $(xcb_la_CFLAGS) $(CFLAGS) -MT xcb_la-except.lo -MD -MP -MF $(DEPDIR)/xcb_la-except.Tpo -c -o xcb_la-except.lo `test -f 'except.c' || echo '$(srcdir)/'`except.c
@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/xcb_la-except.Tpo $(DEPDIR)/xcb_la-except.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='except.c' object='xcb_la-except.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(xcb_la_CPPFLAGS) $(CPPFLAGS) $(xcb_la_CFLAGS) $(CFLAGS) -c -o xcb_la-except.lo `test -f 'except.c' || echo '$(srcdir)/'`except.c

xcb_la-ext.lo: ext.c
@am__fastdepCC_TRUE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(xcb_la_CPPFLAGS) $(CPPFLAGS) $(xcb_la_CFLAGS) $(CFLAGS) -MT xcb_la-ext.lo -MD -MP -MF $(DEPDIR)/xcb_la-ext.Tpo -c -o xcb_la-ext.lo `test -f 'ext.c' || echo '$(srcdir)/'`ext.c
@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/xcb_la-ext.Tpo $(DEPDIR)/xcb_la-ext.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='ext.c' object='xcb_la-ext.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(xcb_la_CPPFLAGS) $(CPPFLAGS) $(xcb_la_CFLAGS) $(CFLAGS) -c -o xcb_la-ext.lo `test -f 'ext.c' || echo '$(srcdir)/'`ext.c

xcb_la-extkey.lo: extkey.c
@am__fastdepCC_TRUE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(xcb_la_CPPFLAGS) $(CPPFLAGS) $(xcb_la_CFLAGS) $(CFLAGS) -MT xcb_la-extkey.lo -MD -MP -MF $(DEPDIR)/xcb_la-extkey.Tpo -c -o xcb_la-extkey.lo `test -f 'extkey.c' || echo '$(srcdir)/'`extkey.c
@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/xcb_la-extkey.Tpo $(DEPDIR)/xcb_la-extkey.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='extkey.c' object='xcb_la-extkey.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(xcb_la_CPPFLAGS) $(CPPFLAGS) $(xcb_la_CFLAGS) $(CFLAGS) -c -o xcb_la-extkey.lo `test -f 'extkey.c' || echo '$(srcdir)/'`extkey.c

xcb_la-iter.lo: iter.c
@am__fastdepCC_TRUE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(xcb_la_CPPFLAGS) $(CPPFLAGS) $(xcb_la_CFLAGS) $(CFLAGS) -MT xcb_la-iter.lo -MD -MP -MF $(DEPDIR)/xcb_la-iter.Tpo -c -o xcb_la-iter.lo `test -f 'iter.c' || echo '$(srcdir)/'`iter.c
@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/xcb_la-iter.Tpo $(DEPDIR)/xcb_la-iter.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='iter.c' object='xcb_la-iter.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(xcb_la_CPPFLAGS) $(CPPFLAGS) $(xcb_la_CFLAGS) $(CFLAGS) -c -o xcb_la-iter.lo `test -f 'iter.c' || echo '$(srcdir)/'`iter.c

xcb_la-list.lo: list.c
@am__fastdepCC_TRUE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(xcb_la_CPPFLAGS) $(CPPFLAGS) $(xcb_la_CFLAGS) $(CFLAGS) -MT xcb_la-list.lo -MD -MP -MF $(DEPDIR)/xcb_la-list.Tpo -c -o xcb_la-list.lo `test -f 'list.c' || echo '$(srcdir)/'`list.c
@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/xcb_la-list.Tpo $(DEPDIR)/xcb_la-list.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='list.c' object='xcb_la-list.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(xcb_la_CPPFLAGS) $(CPPFLAGS) $(xcb_la_CFLAGS) $(CFLAGS) -c -o xcb_la-list.lo `test -f 'list.c' || echo '$(srcdir)/'`list.c

xcb_la-module.lo: module.c
@am__fastdepCC_TRUE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(xcb_la_CPPFLAGS) $(CPPFLAGS) $(xcb_la_CFLAGS) $(CFLAGS) -MT xcb_la-module.lo -MD -MP -MF $(DEPDIR)/xcb_la-module.Tpo -c -o xcb_la-module.lo `test -f 'module.c' || echo '$(srcdir)/'`module.c
@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/xcb_la-module.Tpo $(DEPDIR)/xcb_la-module.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='module.c' object='xcb_la-module.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(xcb_la_CPPFLAGS) $(CPPFLAGS) $(xcb_la_CFLAGS) $(CFLAGS) -c -o xcb_la-module.lo `test -f 'module.c' || echo '$(srcdir)/'`module.c

xcb_la-protobj.lo: protobj.c
@am__fastdepCC_TRUE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(xcb_la_CPPFLAGS) $(CPPFLAGS) $(xcb_la_CFLAGS) $(CFLAGS) -MT xcb_la-protobj.lo -MD -MP -MF $(DEPDIR)/xcb_la-protobj.Tpo -c -o xcb_la-protobj.lo `test -f 'protobj.c' || echo '$(srcdir)/'`protobj.c
@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/xcb_la-protobj.Tpo $(DEPDIR)/xcb_la-protobj.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='protobj.c' object='xcb_la-protobj.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(xcb_la_CPPFLAGS) $(CPPFLAGS) $(xcb_la_CFLAGS) $(CFLAGS) -c -o xcb_la-protobj.lo `test -f 'protobj.c' || echo '$(srcdir)/'`protobj.c

xcb_la-reply.lo: reply.c
@am__fastdepCC_TRUE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(xcb_la_CPPFLAGS) $(CPPFLAGS) $(xcb_la_CFLAGS) $(CFLAGS) -MT xcb_la-reply.lo -MD -MP -MF $(DEPDIR)/xcb_la-reply.Tpo -c -o xcb_la-reply.lo `test -f 'reply.c' || echo '$(srcdir)/'`reply.c
@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/xcb_la-reply.Tpo $(DEPDIR)/xcb_la-reply.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='reply.c' object='xcb_la-reply.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(xcb_la_CPPFLAGS) $(CPPFLAGS) $(xcb_la_CFLAGS) $(CFLAGS) -c -o xcb_la-reply.lo `test -f 'reply.c' || echo '$(srcdir)/'`reply.c

xcb_la-request.lo: request.c
@am__fastdepCC_TRUE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(xcb_la_CPPFLAGS) $(CPPFLAGS) $(xcb_la_CFLAGS) $(CFLAGS) -MT xcb_la-request.lo -MD -MP -MF $(DEPDIR)/xcb_la-request.Tpo -c -o xcb_la-request.lo `test -f 'request.c' || echo '$(srcdir)/'`request.c
@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/xcb_la-request.Tpo $(DEPDIR)/xcb_la-request.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='request.c' object='xcb_la-request.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(xcb_la_CPPFLAGS) $(CPPFLAGS) $(xcb_la_CFLAGS) $(CFLAGS) -c -o xcb_la-request.lo `test -f 'request.c' || echo '$(srcdir)/'`request.c

xcb_la-response.lo: response.c
@am__fastdepCC_TRUE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(xcb_la_CPPFLAGS) $(CPPFLAGS) $(xcb_la_CFLAGS) $(CFLAGS) -MT xcb_la-response.lo -MD -MP -MF $(DEPDIR)/xcb_la-response.Tpo -c -o xcb_la-response.lo `test -f 'response.c' || echo '$(srcdir)/'`response.c
@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/xcb_la-response.Tpo $(DEPDIR)/xcb_la-response.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='response.c' object='xcb_la-response.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(xcb_la_CPPFLAGS) $(CPPFLAGS) $(xcb_la_CFLAGS) $(CFLAGS) -c -o xcb_la-response.lo `test -f 'response.c' || echo '$(srcdir)/'`response.c

xcb_la-struct.lo: struct.c
@am__fastdepCC_TRUE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(xcb_la_CPPFLAGS) $(CPPFLAGS) $(xcb_la_CFLAGS) $(CFLAGS) -MT xcb_la-struct.lo -MD -MP -MF $(DEPDIR)/xcb_la-struct.Tpo -c -o xcb_la-struct.lo `test -f 'struct.c' || echo '$(srcdir)/'`struct.c
@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/xcb_la-struct.Tpo $(DEPDIR)/xcb_la-struct.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='struct.c' object='xcb_la-struct.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(xcb_la_CPPFLAGS) $(CPPFLAGS) $(xcb_la_CFLAGS) $(CFLAGS) -c -o xcb_la-struct.lo `test -f 'struct.c' || echo '$(srcdir)/'`struct.c

xcb_la-union.lo: union.c
@am__fastdepCC_TRUE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(xcb_la_CPPFLAGS) $(CPPFLAGS) $(xcb_la_CFLAGS) $(CFLAGS) -MT xcb_la-union.lo -MD -MP -MF $(DEPDIR)/xcb_la-union.Tpo -c -o xcb_la-union.lo `test -f 'union.c' || echo '$(srcdir)/'`union.c
@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/xcb_la-union.Tpo $(DEPDIR)/xcb_la-union.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='union.c' object='xcb_la-union.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(xcb_la_CPPFLAGS) $(CPPFLAGS) $(xcb_la_CFLAGS) $(CFLAGS) -c -o xcb_la-union.lo `test -f 'union.c' || echo '$(srcdir)/'`union.c

xcb_la-void.lo: void.c
@am__fastdepCC_TRUE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(xcb_la_CPPFLAGS) $(CPPFLAGS) $(xcb_la_CFLAGS) $(CFLAGS) -MT xcb_la-void.lo -MD -MP -MF $(DEPDIR)/xcb_la-void.Tpo -c -o xcb_la-void.lo `test -f 'void.c' || echo '$(srcdir)/'`void.c
@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/xcb_la-void.Tpo $(DEPDIR)/xcb_la-void.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='void.c' object='xcb_la-void.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(xcb_la_CPPFLAGS) $(CPPFLAGS) $(xcb_la_CFLAGS) $(CFLAGS) -c -o xcb_la-void.lo `test -f 'void.c' || echo '$(srcdir)/'`void.c

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
install-pkgpythonPYTHON: $(pkgpython_PYTHON)
	@$(NORMAL_INSTALL)
	test -z "$(pkgpythondir)" || $(MKDIR_P) "$(DESTDIR)$(pkgpythondir)"
	@list='$(pkgpython_PYTHON)'; dlist=; list2=; test -n "$(pkgpythondir)" || list=; \
	for p in $$list; do \
	  if test -f "$$p"; then b=; else b="$(srcdir)/"; fi; \
	  if test -f $$b$$p; then \
	    $(am__strip_dir) \
	    dlist="$$dlist $$f"; \
	    list2="$$list2 $$b$$p"; \
	  else :; fi; \
	done; \
	for file in $$list2; do echo $$file; done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pkgpythondir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(pkgpythondir)" || exit $$?; \
	done || exit $$?; \
	if test -n "$$dlist"; then \
	  if test -z "$(DESTDIR)"; then \
	    PYTHON=$(PYTHON) $(py_compile) --basedir "$(pkgpythondir)" $$dlist; \
	  else \
	    PYTHON=$(PYTHON) $(py_compile) --destdir "$(DESTDIR)" --basedir "$(pkgpythondir)" $$dlist; \
	  fi; \
	else :; fi

uninstall-pkgpythonPYTHON:
	@$(NORMAL_UNINSTALL)
	@list='$(pkgpython_PYTHON)'; test -n "$(pkgpythondir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	test -n "$$files" || exit 0; \
	filesc=`echo "$$files" | sed 's|$$|c|'`; \
	fileso=`echo "$$files" | sed 's|$$|o|'`; \
	echo " ( cd '$(DESTDIR)$(pkgpythondir)' && rm -f" $$files ")"; \
	cd "$(DESTDIR)$(pkgpythondir)" && rm -f $$files || exit $$?; \
	echo " ( cd '$(DESTDIR)$(pkgpythondir)' && rm -f" $$filesc ")"; \
	cd "$(DESTDIR)$(pkgpythondir)" && rm -f $$filesc || exit $$?; \
	echo " ( cd '$(DESTDIR)$(pkgpythondir)' && rm -f" $$fileso ")"; \
	cd "$(DESTDIR)$(pkgpythondir)" && rm -f $$fileso

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	set x; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) check-am
all-am: Makefile $(LTLIBRARIES) $(HEADERS) config.h
installdirs:
	for dir in "$(DESTDIR)$(pkgpythondir)" "$(DESTDIR)$(pkgpythondir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
clean: clean-am

clean-am: clean-generic clean-libtool clean-pkgpythonLTLIBRARIES \
	mostlyclean-am

distclean: distclean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-hdr distclean-tags

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am: install-pkgpythonLTLIBRARIES install-pkgpythonPYTHON

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-pkgpythonLTLIBRARIES uninstall-pkgpythonPYTHON

.MAKE: all check install install-am install-strip

.PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
	clean-libtool clean-pkgpythonLTLIBRARIES ctags distclean \
	distclean-compile distclean-generic distclean-hdr \
	distclean-libtool distclean-tags distdir dvi dvi-am html \
	html-am info info-am install install-am install-data \
	install-data-am install-dvi install-dvi-am install-exec \
	install-exec-am install-html install-html-am install-info \
	install-info-am install-man install-pdf install-pdf-am \
	install-pkgpythonLTLIBRARIES install-pkgpythonPYTHON \
	install-ps install-ps-am install-strip installcheck \
	installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-compile \
	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
	tags uninstall uninstall-am uninstall-pkgpythonLTLIBRARIES \
	uninstall-pkgpythonPYTHON


$(EXTSOURCES): py_client.py

.xml.py:
	$(PYTHON) $(srcdir)/py_client.py -p $(XCBPROTO_XCBPYTHONDIR) $(XCBPROTO_XCBINCLUDEDIR)/$<

$(EXTENSION_XML):
	$(LN_S) -f $(XCBPROTO_XCBINCLUDEDIR)/$@ $@

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT: